Bug 252159

Summary: security/i2pd: make the port compatible with syslogging
Product: Ports & Packages Reporter: Eugene Grosbein <eugen>
Component: Individual Port(s)Assignee: Dmitry Marakasov <amdmi3>
Status: Closed FIXED    
Severity: Affects Only Me CC: amdmi3
Priority: --- Flags: eugen: maintainer-feedback-
eugen: maintainer-feedback-
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
support syslogging none

Description Eugene Grosbein freebsd_committer 2020-12-26 12:07:04 UTC
Created attachment 220944 [details]
support syslogging

i2pd supports logging via syslog. This may be enabled with its configuration file, but port's startup script forces logging to a file using command line switches that override configuration file.

Let's enhance the startup script, so it supports syslogging with following rc.conf setting:

i2pd_logfile="syslog" # translates to: --log syslog

or

i2pd_logfile="syslog:warn" # translates to: --log syslog --loglevel warn

Attached patch implements this being compatible with previous version.
Comment 1 commit-hook freebsd_committer 2021-01-17 15:26:35 UTC
A commit references this bug:

Author: eugen
Date: Sun Jan 17 15:25:34 UTC 2021
New revision: 561829
URL: https://svnweb.freebsd.org/changeset/ports/561829

Log:
  security/i2pd: make the port compatible with syslogging

  i2pd supports logging via syslog. This may be enabled
  with its configuration file, but port's startup script forces
  logging to a file using command line switches that override
  configuration file.

  This change adds syslogging support with following rc.conf setting:

  i2pd_logfile="syslog" # translates to: --log syslog

  or

  i2pd_logfile="syslog:warn" # translates to: --log syslog --loglevel warn

  The change is backward compatible with previous settings.

  PR:		252159
  Approved by:	amdmi3 (maintainer timeout over 3 weeks)

Changes:
  head/security/i2pd/Makefile
  head/security/i2pd/files/i2pd.in
Comment 2 Eugene Grosbein freebsd_committer 2021-01-17 15:29:36 UTC
The fix committed. Re-assign the PR to myself to track possible follow-ups.
Comment 3 commit-hook freebsd_committer 2021-01-18 15:42:11 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Jan 18 15:42:01 UTC 2021
New revision: 561921
URL: https://svnweb.freebsd.org/changeset/ports/561921

Log:
  Revert 561829, this is not a correct solution

  PR:		252159

Changes:
  head/security/i2pd/Makefile
  head/security/i2pd/files/i2pd.in
Comment 4 Dmitry Marakasov freebsd_committer 2021-01-18 15:48:31 UTC
- The timeout was not honored including new year holidays
- The solution is overcomplicated and not correct - these settings should be removed from rc.d and handled in the config file

Correct solution is in the works, reverted for users to not have to update configs multiple times.
Comment 5 commit-hook freebsd_committer 2021-01-18 23:30:54 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Jan 18 23:30:23 UTC 2021
New revision: 561985
URL: https://svnweb.freebsd.org/changeset/ports/561985

Log:
  - Use configuration file

  PR:		252159

Changes:
  head/security/i2pd/Makefile
  head/security/i2pd/files/i2pd.in
  head/security/i2pd/files/patch-contrib_i2pd.conf
  head/security/i2pd/files/pkg-message.in
  head/security/i2pd/pkg-message
  head/security/i2pd/pkg-plist